Bug 765651 - Review Request: asterisk-gui - Graphical interface for Asterisk configuration
Summary: Review Request: asterisk-gui - Graphical interface for Asterisk configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-09 03:05 UTC by Matthieu Saulnier
Modified: 2012-01-17 17:56 UTC (History)
3 users (show)

Fixed In Version: asterisk-gui-2.0-3.20111230svn5218.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-11 05:57:51 UTC
bioinfornatics: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthieu Saulnier 2011-12-09 03:05:28 UTC
Spec URL: http://fantom.fedorapeople.org/asterisk-gui.spec
SRPM URL: http://fantom.fedorapeople.org/asterisk-gui-2.0-1.20111208svn5218.fc16.src.rpm
Description:
Asterisk GUI is a framework for the creation of graphical interfaces
for configuring Asterisk. Some sample graphical interfaces for specific
vertical markets are included for reference or for actual use and
extension.

Hello, I'm submiting this new package.
Have a nice day.

Comment 1 MERCIER Jonathan 2011-12-11 10:08:13 UTC
instead of use %{_sharedstatedir}/asterisk/*
i think it is better to use:
- %{_sharedstatedir}asterisk/static-http/
- %{_sharedstatedir}/asterisk/scripts
- %{_sharedstatedir}/asterisk/gui_backups


SRPMS: [OK]
$ rpmlint asterisk-gui-2.0-1.20111208svn5218.fc16.src.rpm
asterisk-gui.src: W: invalid-url Source0: asterisk-gui-2.0-20111208svn5218.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

they are many warning and error with:
$ rpmlint asterisk-gui.spec

could you fix this?

Comment 2 Matthieu Saulnier 2011-12-12 04:54:33 UTC
Hello,

(In reply to comment #1)
> instead of use %{_sharedstatedir}/asterisk/*
> i think it is better to use:
> - %{_sharedstatedir}asterisk/static-http/
> - %{_sharedstatedir}/asterisk/scripts
> - %{_sharedstatedir}/asterisk/gui_backups
Done

> SRPMS: [OK]
> $ rpmlint asterisk-gui-2.0-1.20111208svn5218.fc16.src.rpm
> asterisk-gui.src: W: invalid-url Source0:
> asterisk-gui-2.0-20111208svn5218.tar.gz
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> they are many warning and error with:
> $ rpmlint asterisk-gui.spec
> 
> could you fix this?
Done

So, this is the latest release:
Spec URL: http://fantom.fedorapeople.org/asterisk-gui.spec
SRPM URL: http://fantom.fedorapeople.org/asterisk-gui-2.0-2.20111212svn5218.fc16.src.rpm

$ rpmlint *.rpm
asterisk-gui.noarch: E: zero-length /var/lib/asterisk/static-http/config/blank.html
asterisk-gui.noarch: E: incorrect-fsf-address /usr/share/doc/asterisk-gui-2.0/COPYING
asterisk-gui.src: W: invalid-url Source0: asterisk-gui-2.0-20111212svn5218.tar.xz
2 packages and 0 specfiles checked; 2 errors, 1 warnings.

/var/lib/asterisk/static-http/config/blank.html is needed by the program
incorrect-fsf-address -> I'm asking with upstram to fix it

Comment 3 MERCIER Jonathan 2011-12-12 19:37:35 UTC
it seem ok, could you please open a bug to upstream for fix the mismatch license
This will fix rpmlint error:
incorrect-fsf-address -> I'm asking with upstram to fix it

Comment 4 MERCIER Jonathan 2011-12-12 19:38:46 UTC
oh i have miss your comment "I'm asking with upstram to fix it"
if this take some time open a bug to asterisk-gui bugzilla and show here the url

Comment 5 Matthieu Saulnier 2011-12-13 06:04:03 UTC
(In reply to comment #4)
> if this take some time open a bug to asterisk-gui bugzilla and show here the
> url
Done
https://issues.asterisk.org/jira/browse/AGUI-326

Comment 6 MERCIER Jonathan 2011-12-13 17:49:04 UTC
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
---------------------------
rpmlint asterisk-gui-2.0-2.20111212svn5218.fc17.src.rpm

asterisk-gui.src: W: invalid-url Source0: asterisk-gui-2.0-20111212svn5218.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint asterisk-gui-2.0-2.20111212svn5218.fc17.noarch.rpm

asterisk-gui.noarch: E: zero-length /var/lib/asterisk/static-http/config/blank.html
asterisk-gui.noarch: E: incorrect-fsf-address /usr/share/doc/asterisk-gui-2.0/COPYING
1 packages and 0 specfiles checked; 2 errors, 0 warnings.
--------------------------
This is ok like package provide from svn upstream


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
----------------------------
asterisk-gui-2.0-20111212svn5218.tar.xz :
  MD5SUM this package     : ef7b56d3be5042807b29bb545a84c024
  MD5SUM upstream package : upstream source not found
----------------------------
This is ok like package provide from svn upstream

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

----------------------------
rpmlint asterisk-gui-2.0-2.20111212svn5218.fc17.src.rpm

asterisk-gui.src: W: invalid-url Source0: asterisk-gui-2.0-20111212svn5218.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint asterisk-gui-2.0-2.20111212svn5218.fc17.noarch.rpm

asterisk-gui.noarch: E: zero-length /var/lib/asterisk/static-http/config/blank.html
asterisk-gui.noarch: E: incorrect-fsf-address /usr/share/doc/asterisk-gui-2.0/COPYING
1 packages and 0 specfiles checked; 2 errors, 0 warnings.
----------------------------
A bug is open like i requested: https://issues.asterisk.org/jira/browse/AGUI-326

[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
----------------------------
asterisk-gui-2.0-20111212svn5218.tar.xz :
  MD5SUM this package     : ef7b56d3be5042807b29bb545a84c024
  MD5SUM upstream package : upstream source not found
-----------------------------
This is ok like package provide from svn upstream

Comment 7 MERCIER Jonathan 2011-12-14 00:27:00 UTC
In copyinf file:
this:
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

should be fixed to:
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

In more in this file some end line are not a unix en line => \n

Comment 8 Matthieu Saulnier 2011-12-30 15:12:28 UTC
Hello,
this is the latest release:
Spec URL: http://fantom.fedorapeople.org/asterisk-gui.spec
SRPM URL: http://fantom.fedorapeople.org/asterisk-gui-2.0-3.20111230svn5218.fc16.src.rpm

Comment 9 MERCIER Jonathan 2011-12-30 17:08:23 UTC
It is ok, ask to upstream how fix the little problem in your bug

Comment 10 MERCIER Jonathan 2011-12-30 17:37:51 UTC
------------------
PACKAGE APPROVED
-------------------

Comment 11 Matthieu Saulnier 2011-12-30 17:48:46 UTC
New Package SCM Request
=======================
Package Name: asterisk-gui
Short Description: Graphical interface for Asterisk configuration
Owners: fantom
Branches: f15 f16 el6
InitialCC:

Comment 12 Gwyn Ciesla 2011-12-31 00:57:56 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-01-01 21:05:22 UTC
asterisk-gui-2.0-3.20111230svn5218.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/asterisk-gui-2.0-3.20111230svn5218.fc16

Comment 14 Fedora Update System 2012-01-01 21:07:06 UTC
asterisk-gui-2.0-3.20111230svn5218.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/asterisk-gui-2.0-3.20111230svn5218.fc15

Comment 15 Fedora Update System 2012-01-01 21:09:02 UTC
asterisk-gui-2.0-3.20111230svn5218.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asterisk-gui-2.0-3.20111230svn5218.el6

Comment 16 Fedora Update System 2012-01-02 19:54:39 UTC
asterisk-gui-2.0-3.20111230svn5218.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 17 Fedora Update System 2012-01-11 05:57:51 UTC
asterisk-gui-2.0-3.20111230svn5218.fc16 has been pushed to the Fedora 16 stable repository.

Comment 18 Fedora Update System 2012-01-11 06:03:51 UTC
asterisk-gui-2.0-3.20111230svn5218.fc15 has been pushed to the Fedora 15 stable repository.

Comment 19 Fedora Update System 2012-01-17 17:56:19 UTC
asterisk-gui-2.0-3.20111230svn5218.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.